<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon"></app-page-title>
<div class="col-sm-12">
    <button class="mb-2 mr-2 btn btn-lg btn-block btn-outline-success" (click)="agregarMarca()">Agregar Nueva Marca
    </button>
</div>
<div class="main-card mb-3 card" *ngIf="agregarEditarActive">
    <div class="card-body">
        <h5 class="card-title">Agregar/Editar Marca</h5>
        <form [formGroup]="marcaForm" (submit)="agregarEditarMarca()">
            <div class="form-row">
                <div class="col-md-12">
                    <div class="position-relative form-group"><label for="nombre">Nombre</label>
                        <input name="nombre" id="nombre" formControlName="nombre" placeholder="Nombre de la marca" type="text" class="form-control">
                    </div>
                </div>
            </div>
            <input name="marca_id" type="text" formControlName="marca_id" hidden readonly>
            <input class="mt-2 btn btn-primary" type="submit" [disabled]="this.marcaForm.invalid" [value]="btnmsg" />
        </form>
    </div>
</div>
<div class="main-card mb-3 card">
    <div class="card-body">
        <h5 class="card-title">Marcas</h5>
        <div class="table-responsive">
            <table class="align-middle mb-0 table table-borderless table-striped table-hover">
                <thead>
                    <tr>
                        <th class="text-center">#</th>
                        <th>Nombre</th>
                        <th class="text-center">Acciones</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let marca of this.marcas">
                        <td class="text-center text-muted">{{marca.marca_id}}</td>
                        <td class="text-center text-muted">{{marca.nombre}}</td>
                        <td class="text-center">
                            <button type="button" class="btn btn-outline-light btn-sm" (click)="editarMarca(marca)">Editar</button>
                            <button type="button" class="btn btn-outline-danger btn-sm" (click)="eliminarMarca(marca.marca_id)">Eliminar</button>
                        </td>
                    </tr>
                </tbody>
                <tfoot *ngIf="sinMarcas">
                    <tr>
                        <th colspan="8" class="text-center text-danger">No hay marcas actualmente</th>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
</div>